<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

# функции
include_once 'function.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);

#*********** Атакуют бота ************* #

if ($ank['id']==0)
{
$ank=get_user($ank['id']);

# заголовок
$set['title']=  htmlspecialchars($ank[nick]).' - нападение ';

include_once '../sys/inc/thead.php';
title();
aut();

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_vertuhai.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Так ... Нарушаем , нарушаем .
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt=""/> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);

#*********** не обнаружено -> нахер ************* #
if(!$ank){
header("Location: /index.php?".SID);
exit;
}


#***********обнаружено - продолжим ************* #
else{

$ank=get_user($ank['id']);

# заголовок
$set['title']=  htmlspecialchars($ank[nick]).' - нападение ';
include_once '../sys/inc/thead.php';
title();
aut();

# существует сесия - продолжим
if (isset($user)){


#***********Атакуют себя ************* #
if($ank['id']== $user['id']){

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ты что садомазахист ?<br/>
Нападаешь на самого себя ?.
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}



#*********** проверим на время  ************* #
else if($user['zona_atack_time']>time()){

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Стаять паря !<br/>
Ды должен отдохнуть прежде чем снова лезть в драку .<br/>
Сможешь дратся через  '.maketime($user['zona_atack_time']-time()).'
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}

#***********соответствий небыло ************* #
else{

# определим средние число атаки у нападающего
$iam=$user['zona_sila'] - $ank['zona_zachita'] + $user['zona_guns_efect']- $ank['zona_obereg_efect'];

# определим средние число атаки на кого нападают
$me=$ank['zona_sila'] - $user['zona_zachita']+ $ank['zona_guns_efect']- $user['zona_obereg_efect'];


# силы равны
if($iam == $me){

# обновим в бд время на сутки
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'1',`zona_atack_time`='".(time()+3600)."' WHERE `id`='".$user['id']."'");

# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`=' на вас напал . Силы оказались равны.'");


# покажем скрин
echo '<div class="zona_rekl"><img src="img/game_fight_won.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Рыба блеадь!<br/>
Силы равны .<br/>
Противник вас зауважал .<br/>
В качестве награды , вы получаете <img src="img/icon/icon_a_reputation.png" alt="*" /> 1 ед. авторитета .
</div>';
}

# победа нападавшего
else if($iam > $me){

# обновим в бд время на сутки
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'1',`zona_atack_time`='".(time()+3600)."' WHERE `id`='".$user['id']."'");

# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`=' на вас напал . Вы жестоко дрались , но опонент взял гору .'");


# покажем скрин
echo '<div class="zona_rekl"><img src="img/game_fight_won.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Победа!<br/>
Причина: Победитель нанес больше суммарного урона. <br/>
<img src="img/icon/icon_user.png" alt="*" /> Вы влупили в рыло с силой : '.$iam.' ед .<br/>
Противник обосрался и убегает .<br/>
В качестве награды , вы получаете <img src="img/icon/icon_a_reputation.png" alt="*" /> 1 ед. авторитета .
</div>';
}

# проиграш нападавшево
else if($iam < $me) {

# обновим в бд время 
mysql_query("UPDATE `user` SET `zona_atack_time`='".(time()+3600)."' WHERE `id`='".$user['id']."'");


# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`='попытался напасть на вас ,но увидив достойный отпор , убежал как трусливый кот . .'");


# покажем скрин
echo '<div class="zona_rekl"><img src="img/game_fight_lose.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Поражение!<br/>
Причина: Победитель нанес больше суммарного урона.<br/>
<img src="img/icon/icon_header_fights.png" alt="*" /> Опонент увернулся и влупил вам ногой с силой '.$me.' ед .<br/>
Вы круто обосрались .
</div>';
}
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
}
}

#***********закроем от гостей ************* #
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
}
include_once '../sys/inc/tfoot.php';
?>
